English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# Exceptions

The `google.appengine.api.xmpp` package provides the following exception classes:

exception Error()

  This is the base class for all exceptions in this package.

exception InvalidJidError()

  An invalid XMPP address was used as a recipient or sender address.

exception InvalidTypeError()

  An invalid message type was used in a message. See the send_message() function for a list of valid message types.

exception InvalidXmlError()

  The outgoing message was configured to use raw XML, and the body contained invalid XML data.

exception NoBodyError()

  The outgoing message had no body content.

exception InvalidMessageError()

  The incoming message was invalid or incomplete.